Page MenuHomePhabricator

[Story] Use ElasticSearch for entity search on wikidata.org
Closed, ResolvedPublic

Description

We want to use Elastic for entity search on wikidata.org.

Note: Once that is done there is no need anymore to have aliases, term weights and search keys in the terms table. We could drop those from the production service but we should think about keeping it as a fallback.

Related Objects

StatusAssignedTask
ResolvedWikidata-bugs
OpenNone
ResolvedSmalyshev
ResolvedLydia_Pintscher
DuplicateSmalyshev
ResolvedSmalyshev
InvalidNone
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddebt
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse
ResolvedSmalyshev
DuplicateNone
DeclinedNone
DeclinedNone
Resolveddaniel
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
ResolvedSmalyshev
Resolveddcausse
Resolveddcausse
ResolvedSmalyshev

Event Timeline

daniel created this task.Dec 10 2014, 4:32 PM
daniel updated the task description. (Show Details)
daniel raised the priority of this task from to High.
daniel assigned this task to Wikidata-bugs.
daniel changed Security from none to None.
daniel added a project: CirrusSearch.
daniel added subscribers: Aklapper, JanZerebecki, daniel, demon.

Getting the field info into Elastic would be a lot easier if T78011 got implemented.

Lydia_Pintscher removed Wikidata-bugs as the assignee of this task.Jan 8 2015, 10:39 AM
Jonas renamed this task from Implement label prefix search based on Elastic (resp Cirrus, Lucene) to [Story] Implement label prefix search based on Elastic (resp Cirrus, Lucene).Aug 13 2015, 4:42 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 13 2015, 4:42 PM
demon removed a subscriber: demon.Aug 19 2015, 3:43 PM
Tobi_WMDE_SW renamed this task from [Story] Implement label prefix search based on Elastic (resp Cirrus, Lucene) to [Story] Implement entity search API module based on Elastic.Feb 23 2016, 2:37 PM
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW updated the task description. (Show Details)Feb 23 2016, 2:41 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 11 2016, 1:52 PM
Deskana lowered the priority of this task from High to Low.Oct 30 2016, 1:22 AM
Deskana added a subscriber: Deskana.

This has not been touched in quite a while; lowering the priority to reflect that reality.

Lydia_Pintscher raised the priority of this task from Low to Normal.Nov 7 2016, 4:10 PM
daniel renamed this task from [Story] Implement entity search API module based on Elastic to [Story] Use ElasticSearch for entity search on wikidata.org.Jul 12 2017, 10:43 AM
daniel updated the task description. (Show Details)
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 27 2017, 5:16 PM
K4-713 added a subscriber: K4-713.Sep 15 2017, 11:45 PM
Smalyshev closed this task as Resolved.Nov 27 2017, 6:42 PM
Smalyshev claimed this task.
Smalyshev added a subscriber: Smalyshev.

Is this task about wbsearchentities only or also fulltext search?